Subject: Re: Should Chronic Progressive use Avonex?

From: [email-masked] (Carneen)
Date: 24 Mar 1997 23:20:02 GMT

I have CP MS and took Beta Seron for two years before switching to Avonex
in August.  My migrain headaches stopped when I began Beta Seron, but my
MS been getting continually worse.  I don't know if my decline would bave
been swifter without the interferon.......that's the rub.   

I will continue to take Avonex until something better comes along.  I am
trying to get my insurance to pay for Cladribine.

I love to hear from others with CP MS.  Please email me at

[email-masked]

alt.support.multi-sclerosis